<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_optical_flow_speed.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpticalFlowSpeed Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_device.html#aa7accfa0828e7d43c05b06a7d59829a5">AddDeviceToLog</a>(IODevice *device)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_device.html#af654a28da90b978a4c7ab8b5c88dac3d">IODevice</a>(Object *parent, std::string name)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>OpticalFlowSpeed</b>(IODevice *parent, std::string name) (defined in <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>)</td><td class="entry"><a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>output</b> (defined in <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>)</td><td class="entry"><a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a>(const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_device.html#ac81c7aa95caa0bf9266428783f143000">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_device.html#a4c9df5ddb30faf34676efbdbd9fe5473">SetDataToLog</a>(io_data *data)</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a>(void)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Vx</b>(void) (defined in <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>)</td><td class="entry"><a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Vy</b>(void) (defined in <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>)</td><td class="entry"><a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_device.html#a3615f78e1b4ae46ba84ce46c048a0dfb">~IODevice</a>()</td><td class="entry"><a class="el" href="class_i_o_device.html">IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a>()</td><td class="entry"><a class="el" href="class_object.html">Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~OpticalFlowSpeed</b>() (defined in <a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a>)</td><td class="entry"><a class="el" href="class_optical_flow_speed.html">OpticalFlowSpeed</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:08 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
